<?php
	class Extension{
		private $extension;
		private $numeroPlanDeMarcacion;
		private $voicemail;
		private $identificadorSaliente;
		private $cliente;
		private $servidor;
		private $usuario;
		private $password;
		private $status;
		private $activa;
		private $nombre;
		private $protocolo;
		private $localGMT;
		private $tipoTelefono;
		public function __construct($extension, $numeroPlanDeMarcacion, $voicemail, $identificadorSaliente, $cliente, $servidor, $usuario, $password, $status, $activa, $nombre, $protocolo, $localGMT, $tipoTelefono){
			$this->extension = $extension;
			$this->numeroPlanDeMarcacion = $numeroPlanDeMarcacion;
			$this->voicemail = $voicemail;
			$this->identificadorSaliente = $identificadorSaliente;
			$this->cliente = $cliente;
			$this->servidor = $servidor;
			$this->usuario = $usuario;
			$this->password = $password;
			$this->status = $status;
			$this->activa = $activa;
			$this->nombre = $nombre;
			$this->protocolo = $protocolo;
			$this->localGMT = $localGMT;
			$this->tipoTelefono = $tipoTelefono;
		}
		public function getExtension(){
			return $this->extension;
		}
		public function getNumeroPlanDeMarcacion(){
			return $this->numeroPlanDeMarcacion;
		}
		public function setNumeroPlanDeMarcacion($numeroPlanDeMarcacion){
			$this->numeroPlanDeMarcacion = $numeroPlanDeMarcacion;
		}
		
		public function getVoicemail(){
			return $this->voicemail;
		}
		public function setVoicemail($voicemail){
			$this->voicemail = $voicemail;
		}
		
		public function getIdentificadorSaliente(){
			return $this->identificadorSaliente;
		}
		public function setIdentificadorSaliente($identificadorSaliente){
			$this->identificadorSaliente = $identificadorSaliente;
		}
		
		public function getCliente(){
			return $this->cliente;
		}
		public function setCliente($cliente){
			$this->cliente = $cliente;
		}
		
		public function getServidor(){
			return $this->servidor;
		}
		public function setServidor($servidor){
			$this->servidor = $servidor;
		}
		
		public function getUsuario(){
			return $this->usuario;
		}
		public function setUsuario($usuario){
			$this->usuario = $usuario;
		}
		
		public function getPassword(){
			return $this->password;
		}
		public function setPassword($password){
			$this->password = $password;
		}
		
		public function getStatus(){
			return $this->status;
		}
		public function setStatus($status){
			$this->status = $status;
		}
		
		public function getActiva(){
			return $this->activa;
		}
		public function setActiva($activa){
			$this->activa = $activa;
		}
		
		public function getNombre(){
			return $this->nombre;
		}
		public function setNombre($nombre){
			$this->nombre = $nombre;
		}
		
		
		public function getProtocolo(){
			return $this->protocolo;
		}
		public function setProtocolo($protocolo){
			$this->protocolo = $protocolo;
		}
		
		public function getLocalGMT(){
			return $this->localGMT;
		}
		public function setLocalGMT($localGMT){
			$this->localGMT = $localGMT;
		}
		
		public function getTipoTelefono(){
			return $this->tipoTelefono;
		}
		public function setTipoTelefono($tipoTelefono){
			$this->tipoTelefono = $tipoTelefono;
		}
		public function toJSON(){
			$ret = array();
			if($this->cliente!=null)
				$ret["Cliente"] = $this->cliente->toJSON();
			else
				$ret["Cliente"] = null;
			$ret["Extension"] = $this->extension;
			$ret["NumeroPlanDeMarcacion"] = $this->numeroPlanDeMarcacion;
			$ret["Voicemail"] = $this->voicemail;
			$ret["IdentificadorSaliente"] = $this->identificadorSaliente;
			//$ret["Servidor"] = $this->servidor;
			$ret["Usuario"] = $this->usuario;
			$ret["Password"] = $this->password;
			//$ret["Status"] = $this->status;
			$ret["Activa"] = $this->activa;
			$ret["Nombre"] = $this->nombre;
			$ret["Protocolo"] = $this->protocolo;
			//$ret["LocalGMT"] = $this->localGMT;
			$ret["TipoTelefono"] = $this->tipoTelefono;
			return $ret;
		}
	}
?>